package config

type Config struct {
	LogLevel string
	Server   ServerConfig
	Gitea    GiteaConfig
	Database DatabaseConfig
	ACME     ACMEConfig
}

type ServerConfig struct {
	Host               string
	Port               uint16
	HttpPort           uint16
	HttpServerEnabled  bool
	MainDomain         string
	RawDomain          string
	DefaultBranches    []string
	AllowedCorsDomains []string
	BlacklistedPaths   []string
}

type GiteaConfig struct {
	Root               string
	Token              string
	LFSEnabled         bool
	FollowSymlinks     bool
	DefaultMimeType    string
	ForbiddenMimeTypes []string
}

type DatabaseConfig struct {
	Type string
	Conn string
}

type ACMEConfig struct {
	Email             string
	APIEndpoint       string
	AcceptTerms       bool
	UseRateLimits     bool
	EAB_HMAC          string
	EAB_KID           string
	DNSProvider       string
	AccountConfigFile string
}
